LrcXASession (Bitronix Transaction Manager :: Core 2.1.4 API)
Date: 2013-09-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## bitronix.tm.resource.jms.lrc
Class LrcXASession

    java.lang.Object
      bitronix.tm.resource.jms.lrc.LrcXASession

All Implemented Interfaces:
  Runnable, javax.jms.Session, javax.jms.XASession

    public class LrcXASession

extends Object
implements javax.jms.XASession

XASession implementation for a non-XA JMS resource emulating XA with Last Resource Commit.

Author:
  lorban

Field Summary

Fields inherited from interface javax.jms.Session
`AUTO_ACKNOWLEDGE, CLIENT_ACKNOWLEDGE, DUPS_OK_ACKNOWLEDGE, SESSION_TRANSACTED`

Constructor Summary
`LrcXASession(javax.jms.Session session)`

Method Summary
`void` | `close()`
`void` | `commit()`
`javax.jms.QueueBrowser` | `createBrowser(javax.jms.Queue queue)`
`javax.jms.QueueBrowser` | `createBrowser(javax.jms.Queue queue, String messageSelector)`
`javax.jms.BytesMessage` | `createBytesMessage()`
`javax.jms.MessageConsumer` | `createConsumer(javax.jms.Destination destination)`
`javax.jms.MessageConsumer` | `createConsumer(javax.jms.Destination destination, String messageSelector)`
`javax.jms.MessageConsumer` | `createConsumer(javax.jms.Destination destination, String messageSelector, boolean noLocal)`
`javax.jms.TopicSubscriber` | `createDurableSubscriber(javax.jms.Topic topic, String name)`
`javax.jms.TopicSubscriber` | `createDurableSubscriber(javax.jms.Topic topic, String name, String messageSelector, boolean noLocal)`
`javax.jms.MapMessage` | `createMapMessage()`
`javax.jms.Message` | `createMessage()`
`javax.jms.ObjectMessage` | `createObjectMessage()`
`javax.jms.ObjectMessage` | `createObjectMessage(Serializable serializable)`
`javax.jms.MessageProducer` | `createProducer(javax.jms.Destination destination)`
`javax.jms.Queue` | `createQueue(String queueName)`
`javax.jms.StreamMessage` | `createStreamMessage()`
`javax.jms.TemporaryQueue` | `createTemporaryQueue()`
`javax.jms.TemporaryTopic` | `createTemporaryTopic()`
`javax.jms.TextMessage` | `createTextMessage()`
`javax.jms.TextMessage` | `createTextMessage(String text)`
`javax.jms.Topic` | `createTopic(String topicName)`
`int` | `getAcknowledgeMode()`
`javax.jms.MessageListener` | `getMessageListener()`
`javax.jms.Session` | `getSession()`
`boolean` | `getTransacted()`
`XAResource` | `getXAResource()`
`void` | `recover()`
`void` | `rollback()`
`void` | `run()`
`void` | `setMessageListener(javax.jms.MessageListener messageListener)`
`String` | `toString()`
`void` | `unsubscribe(String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LrcXASession

    public LrcXASession(javax.jms.Session session)

Method Detail

### getSession

    public javax.jms.Session getSession()
                                 throws javax.jms.JMSException

  Specified by:
    `getSession` in interface `javax.jms.XASession`
  Throws:
    `javax.jms.JMSException`

### getXAResource

    public XAResource getXAResource()

  Specified by:
    `getXAResource` in interface `javax.jms.XASession`

### createBytesMessage

    public javax.jms.BytesMessage createBytesMessage()
                                              throws javax.jms.JMSException

  Specified by:
    `createBytesMessage` in interface `javax.jms.Session`
  Throws:
    `javax.jms.JMSException`

### createMapMessage

    public javax.jms.MapMessage createMapMessage()
                                          throws javax.jms.JMSException

  Specified by:
    `createMapMessage` in interface `javax.jms.Session`
  Throws:
    `javax.jms.JMSException`

### createMessage

    public javax.jms.Message createMessage()
                                    throws javax.jms.JMSException

  Specified by:
    `createMessage` in interface `javax.jms.Session`
  Throws:
    `javax.jms.JMSException`

### createObjectMessage

    public javax.jms.ObjectMessage createObjectMessage()
                                                throws javax.jms.JMSException

  Specified by:
    `createObjectMessage` in interface `javax.jms.Session`
  Throws:
    `javax.jms.JMSException`

### createObjectMessage

    public javax.jms.ObjectMessage createObjectMessage(Serializable serializable)
                                                throws javax.jms.JMSException

  Specified by:
    `createObjectMessage` in interface `javax.jms.Session`
  Throws:
    `javax.jms.JMSException`

### createStreamMessage

    public javax.jms.StreamMessage createStreamMessage()
                                                throws javax.jms.JMSException

  Specified by:
    `createStreamMessage` in interface `javax.jms.Session`
  Throws:
    `javax.jms.JMSException`

### createTextMessage

    public javax.jms.TextMessage createTextMessage()
                                            throws javax.jms.JMSException

  Specified by:
    `createTextMessage` in interface `javax.jms.Session`
  Throws:
    `javax.jms.JMSException`

### createTextMessage

    public javax.jms.TextMessage createTextMessage(String text)
                                            throws javax.jms.JMSException

  Specified by:
    `createTextMessage` in interface `javax.jms.Session`
  Throws:
    `javax.jms.JMSException`

### getTransacted

    public boolean getTransacted()
                          throws javax.jms.JMSException

  Specified by:
    `getTransacted` in interface `javax.jms.Session`
  Specified by:
    `getTransacted` in interface `javax.jms.XASession`
  Throws:
    `javax.jms.JMSException`

### getAcknowledgeMode

    public int getAcknowledgeMode()
                           throws javax.jms.JMSException

  Specified by:
    `getAcknowledgeMode` in interface `javax.jms.Session`
  Throws:
    `javax.jms.JMSException`

### commit

    public void commit()
                throws javax.jms.JMSException

  Specified by:
    `commit` in interface `javax.jms.Session`
  Specified by:
    `commit` in interface `javax.jms.XASession`
  Throws:
    `javax.jms.JMSException`

### rollback

    public void rollback()
                  throws javax.jms.JMSException

  Specified by:
    `rollback` in interface `javax.jms.Session`
  Specified by:
    `rollback` in interface `javax.jms.XASession`
  Throws:
    `javax.jms.JMSException`

### close

    public void close()
               throws javax.jms.JMSException

  Specified by:
    `close` in interface `javax.jms.Session`
  Throws:
    `javax.jms.JMSException`

### recover

    public void recover()
                 throws javax.jms.JMSException

  Specified by:
    `recover` in interface `javax.jms.Session`
  Throws:
    `javax.jms.JMSException`

### getMessageListener

    public javax.jms.MessageListener getMessageListener()
                                                 throws javax.jms.JMSException

  Specified by:
    `getMessageListener` in interface `javax.jms.Session`
  Throws:
    `javax.jms.JMSException`

### setMessageListener

    public void setMessageListener(javax.jms.MessageListener messageListener)
                            throws javax.jms.JMSException

  Specified by:
    `setMessageListener` in interface `javax.jms.Session`
  Throws:
    `javax.jms.JMSException`

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`
  Specified by:
    `run` in interface `javax.jms.Session`

### createProducer

    public javax.jms.MessageProducer createProducer(javax.jms.Destination destination)
                                             throws javax.jms.JMSException

  Specified by:
    `createProducer` in interface `javax.jms.Session`
  Throws:
    `javax.jms.JMSException`

### createConsumer

    public javax.jms.MessageConsumer createConsumer(javax.jms.Destination destination)
                                             throws javax.jms.JMSException

  Specified by:
    `createConsumer` in interface `javax.jms.Session`
  Throws:
    `javax.jms.JMSException`

### createConsumer

    public javax.jms.MessageConsumer createConsumer(javax.jms.Destination destination,
                                                    String messageSelector)
                                             throws javax.jms.JMSException

  Specified by:
    `createConsumer` in interface `javax.jms.Session`
  Throws:
    `javax.jms.JMSException`

### createConsumer

    public javax.jms.MessageConsumer createConsumer(javax.jms.Destination destination,
                                                    String messageSelector,
                                                    boolean noLocal)
                                             throws javax.jms.JMSException

  Specified by:
    `createConsumer` in interface `javax.jms.Session`
  Throws:
    `javax.jms.JMSException`

### createQueue

    public javax.jms.Queue createQueue(String queueName)
                                throws javax.jms.JMSException

  Specified by:
    `createQueue` in interface `javax.jms.Session`
  Throws:
    `javax.jms.JMSException`

### createTopic

    public javax.jms.Topic createTopic(String topicName)
                                throws javax.jms.JMSException

  Specified by:
    `createTopic` in interface `javax.jms.Session`
  Throws:
    `javax.jms.JMSException`

### createDurableSubscriber

    public javax.jms.TopicSubscriber createDurableSubscriber(javax.jms.Topic topic,
                                                             String name)
                                                      throws javax.jms.JMSException

  Specified by:
    `createDurableSubscriber` in interface `javax.jms.Session`
  Throws:
    `javax.jms.JMSException`

### createDurableSubscriber

    public javax.jms.TopicSubscriber createDurableSubscriber(javax.jms.Topic topic,
                                                             String name,
                                                             String messageSelector,
                                                             boolean noLocal)
                                                      throws javax.jms.JMSException

  Specified by:
    `createDurableSubscriber` in interface `javax.jms.Session`
  Throws:
    `javax.jms.JMSException`

### createBrowser

    public javax.jms.QueueBrowser createBrowser(javax.jms.Queue queue)
                                         throws javax.jms.JMSException

  Specified by:
    `createBrowser` in interface `javax.jms.Session`
  Throws:
    `javax.jms.JMSException`

### createBrowser

    public javax.jms.QueueBrowser createBrowser(javax.jms.Queue queue,
                                                String messageSelector)
                                         throws javax.jms.JMSException

  Specified by:
    `createBrowser` in interface `javax.jms.Session`
  Throws:
    `javax.jms.JMSException`

### createTemporaryQueue

    public javax.jms.TemporaryQueue createTemporaryQueue()
                                                  throws javax.jms.JMSException

  Specified by:
    `createTemporaryQueue` in interface `javax.jms.Session`
  Throws:
    `javax.jms.JMSException`

### createTemporaryTopic

    public javax.jms.TemporaryTopic createTemporaryTopic()
                                                  throws javax.jms.JMSException

  Specified by:
    `createTemporaryTopic` in interface `javax.jms.Session`
  Throws:
    `javax.jms.JMSException`

### unsubscribe

    public void unsubscribe(String name)
                     throws javax.jms.JMSException

  Specified by:
    `unsubscribe` in interface `javax.jms.Session`
  Throws:
    `javax.jms.JMSException`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Bitronix Software. All Rights Reserved.